curl --request GET \
--url https://api-sandbox.uqpaytech.com/api/v2/payment/refunds/{id} \
--header 'x-auth-token: <api-key>' \
--header 'x-client-id: <x-client-id>'import requests
url = "https://api-sandbox.uqpaytech.com/api/v2/payment/refunds/{id}"
headers = {
"x-client-id": "<x-client-id>",
"x-auth-token": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-client-id': '<x-client-id>', 'x-auth-token': '<api-key>'}
};
fetch('https://api-sandbox.uqpaytech.com/api/v2/payment/refunds/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"payment_refund_id": "RF123456789",
"payment_attempt_id": "PA123456789",
"amount": "10.01",
"currency": "USD",
"refund_status": "SUCCEEDED",
"create_time": "2024-03-01T00:00:00+08:00",
"update_time": "2024-03-01T00:00:00+08:00",
"reason": "Order 1234 has been returned",
"metadata": {
"customer_id": "cust_12345",
"order_id": "order_6789"
}
}Retrieve a refund
Retrieve details of a specific refund by ID
Authorizations
The API token for login provided by UQPAY.
Headers
The API client id generated by UQPAY
Path Parameters
The ID of the refund to retrieve
"RF1234567890123456789"
Response
Refund details retrieved successfully
The unique identifier for the refund
"RF123456789"
The ID of the payment attempt that was refunded
"PA123456789"
The amount refunded
"10.01"
The three-letter currency code (ISO 4217)
"USD"
The current status of the refund.
INITIATED: The refund has been initiated.PROCESSING: The refund is being processed.SUCCEEDED: The refund was successfully completed.FAILED: The refund attempt failed.REVERSAL_INITIATED: The reversal of the refund has been initiated.REVERSAL_PROCESSING: The reversal of the refund is currently being processed.REVERSAL_SUCCEEDED: The reversal of the refund was successfully completed.
INITIATED, PROCESSING, SUCCEEDED, FAILED, REVERSAL_INITIATED, REVERSAL_PROCESSING, REVERSAL_SUCCEEDED "SUCCEEDED"
The time at which this payment refund was created.
"2024-03-01T00:00:00+08:00"
Last time at which this payment refund was updated or operated on.
"2024-03-01T00:00:00+08:00"
The reason for the refund
100"Order 1234 has been returned"
Additional metadata associated with the refund. User-defined key-value pairs.
Show child attributes
Show child attributes
{ "customer_id": "cust_12345", "order_id": "order_6789" }

